%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	A tool to migrate changesets between several version control systems
Name:		tailor
Version:	0.9.28
Release:	5%{?dist}
Source0:	http://darcs.arstecnica.it/%{name}-%{version}.tar.gz
License:	GPL
Group:		Development/Tools
Url:		http://progetti.arstecnica.it/tailor
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?fedora} <= 6
BuildRequires:	python
%else
BuildRequires:	python-devel
%endif
Requires:	python-vcpx = %{version}-%{release}
BuildArch:	noarch
Patch:		tailor-test.patch

%description
Tailor is a tool to migrate changesets between CVS, Subversion, git,
darcs, monotone, Codeville, Mercurial and Baazar-NG repositories.

This script makes it easier to keep the upstream changes merged in
a branch of a product, storing needed information such as the upstream
URI and revision in special properties on the branched directory.

%package -n python-vcpx
Summary:	Version Control Patch eXchanger
Group:		Development/Libraries
Requires:	cvs, subversion, mercurial, cogito, tla, bazaar

%description -n python-vcpx
This is the package `vcpx` (pronounced "veeseepex").  It encapsulates
the machinery needed to keep the patches in sync across different VC
systems.


%prep
%setup -q 
%patch0

# remove the shebang line
sed -i -e '1d' vcpx/repository/p4/p4lib.py

%build
# nothing to do

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%doc README.html
%{_bindir}/%{name}

%files -n python-vcpx
%defattr(-,root,root,0755)
%{python_sitelib}/vcpx

%changelog
* Sun Oct 14 2007 Dan Horak <dan[at]danny.cz> 0.9.28-5
- remove R: monotone (ppc), darcs (ppc64)
- remove ExcludeArch as it has no effect for noarch package

* Fri Jul 27 2007 Dan Horak <dan[at]danny.cz> 0.9.28-4
- exclude ppc64 because darcs cannot be build on ppc64 now (#249906)

* Thu Jun 28 2007 Dan Horak <dan[at]danny.cz> 0.9.28-3
- remove the shebang line from a non-excutable script

* Wed Jun 27 2007 Dan Horak <dan[at]danny.cz> 0.9.28-2
- disable running tests on installed package

* Sat Apr 28 2007 Dan Horak <dan[at]danny.cz> 0.9.28-1
- update to upstream version 0.9.28

* Wed Jan  3 2007 Dan Horak <dan[at]danny.cz> 0.9.27-1
- update to upstream version 0.9.27

* Sat Nov 11 2006 Dan Horak <dan[at]danny.cz> 0.9.26-1
- update to upstream version 0.9.26
- spec file based on atrpms
